# Uses of Class
com.tdunning.math.stats.Centroid

## Uses of Centroid in com.tdunning.math.stats

Methods in com.tdunning.math.stats that return Centroid
Modifier and Type
Method
Description
`Centroid`
GroupTree.`ceiling(Centroid base)`
`protected Centroid`
AbstractTDigest.`createCentroid(double mean, int id)`
`static Centroid`
Centroid.`createWeighted(double x, int w, Iterable<? extends Double> data)`
`Centroid`
GroupTree.`first()`
`Centroid`
GroupTree.`floor(Centroid base)`
`Centroid`
GroupTree.`last()`
Methods in com.tdunning.math.stats that return types with arguments of type Centroid
Modifier and Type
Method
Description
`Iterable<? extends Centroid>`
ArrayDigest.`centroids()`
`Iterable<? extends Centroid>`
AVLTreeDigest.`centroids()`
`abstract Iterable<? extends Centroid>`
TDigest.`centroids()`
An iterable that lets you go through the centroids in ascending order by mean.
`Iterable<? extends Centroid>`
TreeDigest.`centroids()`
`Iterator<Centroid>`
GroupTree.`iterator()`
Iteratres through all groups in the tree.
`Iterable<Centroid>`
GroupTree.`tailSet(Centroid start)`
Methods in com.tdunning.math.stats with parameters of type Centroid
Modifier and Type
Method
Description
`void`
GroupTree.`add(Centroid centroid)`
`void`
TreeDigest.`add(double x, int w, Centroid base)`
`Centroid`
GroupTree.`ceiling(Centroid base)`
`int`
Centroid.`compareTo(Centroid o)`
`Centroid`
GroupTree.`floor(Centroid base)`
`int`
GroupTree.`headCount(Centroid base)`
`long`
GroupTree.`headSum(Centroid base)`
`void`
GroupTree.`move(double x, int count, Centroid v, Iterable<? extends Double> data)`
Modify an existing value in the tree subject to the constraint that the change will not alter the ordering of the tree.
`void`
GroupTree.`remove(Centroid base)`
`Iterable<Centroid>`
GroupTree.`tailSet(Centroid start)`
Constructors in com.tdunning.math.stats with parameters of type Centroid
Modifier
Constructor
Description
``
`GroupTree(Centroid leaf)`